package networkelement

import (
	"code.fbi.h-da.de/danet/gosdn/controller/store"
)

// Store describes an interface for network element store implementations.
type Store interface {
	Add(NetworkElement) error
	Update(NetworkElement) error
	Delete(NetworkElement) error
	Get(store.Query) (LoadedNetworkElement, error)
	GetAll() ([]LoadedNetworkElement, error)
}
